#include <stdio.h>
#include <stdlib.h>
#include "utils.h"


int main() {

    VecData* vecs = fvecs_read("../dataset/siftsmall_base.fvecs", NULL);
    for (int i = 0; i < 10000; i++) {
        printf("%f\n", vecs[i].vector[0]);
    }
    free(vecs);

    return 0;

}